#pragma once
struct SPISettings { SPISettings(uint32_t, uint8_t, uint8_t) {} };
struct SPIClass {
    void begin(int,int,int,int) {}
    void beginTransaction(SPISettings) {}
} SPI;
#define MSBFIRST 1
#define SPI_MODE0 0
